// ble模块发送命令模块
// 杭州秒寻科技有限公司
// 周涛
// 2024-5-3

#ifndef __BLE_CMD_H__
#define __BLE_CMD_H__

#include "sysdef.h"

// 蓝牙命令
#define AT_BLE_ATE0 "ATE0"              // 关闭回显
#define AT_BLEMODE_GET "AT+BLEMODE?"    // 查询蓝牙模式
#define AT_BLEMODE_CLOSE "AT+BLEMODE=9" // 关闭蓝牙
#define AT_BLEMODE_EN "AT+BLEMODE=0"    // 打开蓝牙，进入从机模式
#define AT_BLERFPWR "AT+BLERFPWR"       // 设置蓝牙发射功率
#define AT_BLEADVINTV "AT+BLEADVINTV"   // 设置蓝牙发射间隔， num*0.625ms
#define AT_BLEMAC "AT+BLEMAC"           // 查询和设置MAC地址
#define AT_BLENAME "AT+BLENAME"         // 设置蓝牙名称

// 供外部使用接口
uint8 ble_cmd_init(void); // 模块初始化
void ble_cmd_disable_echo();
void ble_cmd_mode_get(); // 查询蓝牙模式
void ble_cmd_mode_close_ble();
void ble_cmd_mode_enable();
void ble_cmd_set_tx_pwr(int dwData);
void ble_cmd_set_adv_intv(int dwData);
void ble_cmd_get_mac();
void ble_cmd_set_name(char *pbyData);

// 内部使用接口
void ble_cmd_module_init_config(); // 模块初始化配置
void ble_cmd_save_name(char *pbyData);
uint8 *ble_cmd_query_ble_name();

#endif
